Relesys API Docs

v1.3

https://api.uat.relesystest.net/api/v1.3

Users

Get User
GET /users/{userId}
https://api.uat.relesystest.net/api/v1.3/users/{userId}
Get a single user object based on their ID
Scopes: relesys.api, relesys.api:read, relesys.api.users, relesys.api.users:read
URL Path
userId string / guid The user's unique identifier required
Responses
application/json
JSON
{"data":{"id":"33ac7822-c4e4-4d6b-85c5-ad0ef8dff98a","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-04-15T18:17:17.7627296Z","lastModifiedDateTime":"2026-04-15T18:17:17.7627296Z","externalId":"NUA","name":"New User A","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","primaryDepartmentId":"78e893a6-ec7c-458c-b6bc-096428d5ecfe","additionalDepartments":[{"id":"e26db55d-b7c5-4f62-b148-fe5f3f432294","dataSource":"RelesysAPI"}],"userGroups":[{"id":"80c2e00d-da14-4dcb-89ff-eb06f2bf5e17","dataSource":"RelesysAPI"},{"id":"662ba367-92e7-4bb0-83b5-ff748c595c8e","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2"},"employmentType":"Full-time employee"}}
object
  data object      
   additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   id string / guid      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   secondaryEmail string      
   secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string